﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>

<div id="content" class="content">
    <div class="section-with-top-border">
        <div class="row">
            <div class="col-md-4">
                <h4> Currency </h4>
            </div>


        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Currency Code</th>
                        <th>Currency Name</th>
                        <th>Currency Symbol</th>
                        <th>Fractional Unit</th>
                        <th style="pointer-events:none!important" data-sorting="disabled">Actions</th>
                    </tr>
                </thead>
            </table>
        </div>
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": "/Currency/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "currencyCode", "name": "currencyCode" },
                { "data": "currencyName", "name": "currencyName" },
                { "data": "currencySymbol", "name": "currencySymbol" },
                { "data": "fractionalunit", "name": "fractionalunit" },
                {
                    render: function (data, type, full, meta) {
                        return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" href="/CurrencyConversion/Index/' + full.id + '"><i class="fas fa-edit"></i></a>';
                    }
                }
            ]
        });
    });
</script>
